OPENPAM_FREE_ENVLIST(3) | Library Functions Manual | OPENPAM_FREE_ENVLIST(3)

# NAME

`openpam_free_envlist` —
free an environment list

# SYNOPSIS

`#include <sys/types.h>`
`#include <security/pam_appl.h>`
`#include <security/openpam.h>`

void
`openpam_free_envlist`(char **envlist);

# DESCRIPTION

The `openpam_free_envlist`() function is a convenience function which frees all the environment variables in an environment list, and the list itself. It is suitable for freeing the return value from pam_getenvlist(3).

# SEE ALSO

pam(3), pam_getenvlist(3)

# STANDARDS

The `openpam_free_envlist`() function is an OpenPAM extension.

# AUTHORS

The `openpam_free_envlist`() function and this manual page were developed by Dag-Erling Smørgrav <des@des.no>.

April 30, 2017 | NetBSD 9.0